#include "mainwindow.h"
#include "dlgsleep.h"
#include "ui_dlgsleep.h"
#include <QKeyEvent>

dlgSleep::dlgSleep(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::dlgSleep)
{
    ui->setupUi(this);

#ifdef QT_ARCH_ARM
    showFullScreen();
#else
    setGeometry(0,0,600,800);
#endif

    g_pMainWindow->setSleepDialog(this);
}

dlgSleep::~dlgSleep()
{
    delete ui;

    g_pMainWindow->setSleepDialog(NULL);
}

void dlgSleep::changeEvent(QEvent *e)
{
    QDialog::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

void dlgSleep::keyPressEvent(QKeyEvent* e)
{
    g_pMainWindow->keepAlive();

    switch(e->key())
    {
    default:
        break;
    case Qt::Key_Home:
        g_pMainWindow->saveGame();
        QCoreApplication::quit();
        return;
    }

    close();
}

void dlgSleep::on_pushButton_clicked()
{
    g_pMainWindow->keepAlive();

    close();
}
