#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

namespace Ui {
    class MainWindow;
}

class dlgSleep;
class QTimer;

class MainWindow : public QMainWindow {
    Q_OBJECT
public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

    bool isKindle2() const;

    bool loadGame();
    bool saveGame();

    void keepAlive();

    static void shrinkFont(QWidget* w);
    static int translateNumberKey(int key);

    void setSleepDialog(dlgSleep* dlgSleep);

protected:
    void changeEvent(QEvent *e);
    void keyPressEvent(QKeyEvent* e);
    void paintEvent(QPaintEvent* e);

private slots:
    void on_cbHelloWorld_clicked();
    void aliveTimeout();
    void movementTimeout();

private:
    Ui::MainWindow *ui;

    dlgSleep* _dlgSleep;
    QTimer* _aliveTimer;

    QTimer* _movementTimer;
    int _startupCounter;
    int _backgroundCounter;
    int _background;

    bool _isKindle2;
};

extern MainWindow* g_pMainWindow;

#endif // MAINWINDOW_H
